import type { MongoshBus } from '@mongosh/types';
import type { Exposed } from './rpc';
export declare class WorkerProcessMongoshBus {
    exposedEmitter: Exposed<MongoshBus>;
    constructor(eventEmitter: MongoshBus, worker: Worker);
    terminate(): void;
}
